This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 180108 - fuse kernel: Debug: sleeping function called from invalid context at include/linux/rwsem.h:43
fuse kernel: Debug: sleeping function called from invalid context at include/...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-05 15:42 EST by Mace Moneta
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.16-1.2096_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 14:46:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mace Moneta 2006-02-05 15:42:16 EST
Description of problem:

Mounted a remote directory via fuse sshfs, played back some media via mplayer
and noted in /var/log/messages:

Feb  5 15:26:24 buggsb kernel: Debug: sleeping function called from invalid
context at include/linux/rwsem.h:43
Feb  5 15:26:24 buggsb kernel: in_atomic():1, irqs_disabled():0
Feb  5 15:26:24 buggsb kernel:  [<e0fe73c9>] request_end+0x88/0x149 [fuse]    
[<e0fe7d68>] fuse_copy_one+0x8a/0x94 [fuse]
Feb  5 15:26:24 buggsb kernel:  [<e0fe8382>] fuse_dev_writev+0x216/0x272 [fuse]
    [<e0fe816c>] fuse_dev_writev+0x0/0x272 [fuse]
Feb  5 15:26:24 buggsb kernel:  [<c015b782>] do_readv_writev+0x217/0x29a    
[<e0fe83de>] fuse_dev_write+0x0/0x24 [fuse]
Feb  5 15:26:24 buggsb kernel:  [<c013c3a4>] audit_syscall_entry+0x10b/0x15e   
 [<c015b890>] vfs_writev+0x3c/0x52
Feb  5 15:26:24 buggsb kernel:  [<c015b984>] sys_writev+0x41/0x9d    
[<c0102e75>] syscall_call+0x7/0xb
Feb  5 15:26:43 buggsb kernel: Debug: sleeping function called from invalid
context at include/linux/rwsem.h:43
Feb  5 15:26:43 buggsb kernel: in_atomic():1, irqs_disabled():0
Feb  5 15:26:43 buggsb kernel:  [<e0fe73c9>] request_end+0x88/0x149 [fuse]    
[<e0fe7d68>] fuse_copy_one+0x8a/0x94 [fuse]
Feb  5 15:26:43 buggsb kernel:  [<e0fe8382>] fuse_dev_writev+0x216/0x272 [fuse]
    [<e0fe816c>] fuse_dev_writev+0x0/0x272 [fuse]
Feb  5 15:26:43 buggsb kernel:  [<c015b782>] do_readv_writev+0x217/0x29a    
[<e0fe83de>] fuse_dev_write+0x0/0x24 [fuse]
Feb  5 15:26:43 buggsb kernel:  [<c013c3a4>] audit_syscall_entry+0x10b/0x15e   
 [<c015b890>] vfs_writev+0x3c/0x52
Feb  5 15:26:43 buggsb kernel:  [<c015b984>] sys_writev+0x41/0x9d    
[<c0102e75>] syscall_call+0x7/0xb


Version-Release number of selected component (if applicable):

kernel-2.6.15-1.1830_FC4

How reproducible:

It happens every time I run mplayer on an sshfs fuse mount file.

Steps to Reproduce:
1.sshfs mount a remote directory containing a movie
2.Use mplayer to play the file (no problem with playback)
3.Note syslog message
  
Actual results:

Message in /var/log/messages

Expected results:

No error

Additional info:

Simply copies of some data from the mounted remote directory don't seem to
trigger the message.  I've only been able to trigger it with mplayer.

Note You need to log in before you can comment on or make changes to this bug.